Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes | Protected Member Functions | Friends
tlp::LayoutAlgorithm Class Reference
Plugins

Interface for layout plug-ins. More...

`#include <LayoutAlgorithm.h>`

Inheritance diagram for tlp::LayoutAlgorithm:
[legend]
Collaboration diagram for tlp::LayoutAlgorithm:
[legend]

List of all members.

## Public Member Functions

- virtual ~LayoutAlgorithm ()

## Public Attributes

- LayoutProperty * layoutResult

## Protected Member Functions

- LayoutAlgorithm (const AlgorithmContext &context)

## Friends

- class LayoutProperty

## Detailed Description

Interface for layout plug-ins.

## Constructor & Destructor Documentation

virtual tlp::LayoutAlgorithm::~LayoutAlgorithm | ( |  | ) | `[virtual]`

tlp::LayoutAlgorithm::LayoutAlgorithm | ( | const AlgorithmContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class LayoutProperty`[friend]`

## Member Data Documentation

LayoutProperty* tlp::LayoutAlgorithm::layoutResult

This layout is the one associated to the plug-ins, The data should be store in it

Tulip Software by LaBRI Visualization Team 2001 - 2012